### Enumeration

# St IconLookupFlags

#### Declaration

    flags St.IconLookupFlags

#### Description [src]

Used to specify options for `st_icon_theme_lookup_icon()`.

#### Members

`ST_ICON_LOOKUP_NO_SVG`

  Never get SVG icons, even if gdk-pixbuf supports them. Cannot be used together with `ST_ICON_LOOKUP_FORCE_SVG`.

  - Value: `1`
  - Available since: 17
`ST_ICON_LOOKUP_FORCE_SVG`

  Get SVG icons, even if gdk-pixbuf doesn’t support them. Cannot be used together with `ST_ICON_LOOKUP_NO_SVG`.

  - Value: `2`
  - Available since: 17
`ST_ICON_LOOKUP_GENERIC_FALLBACK`

  Try to shorten icon name at ‘-‘ characters before looking at inherited themes. This flag is only supported in functions that take a single icon name. For more general fallback, see st_icon_theme_choose_icon().

  - Value: `4`
  - Available since: 17
`ST_ICON_LOOKUP_FORCE_SIZE`

  Always get the icon scaled to the requested size.

  - Value: `8`
  - Available since: 17
`ST_ICON_LOOKUP_FORCE_REGULAR`

  Try to always load regular icons, even when symbolic icon names are given.

  - Value: `16`
  - Available since: 17
`ST_ICON_LOOKUP_FORCE_SYMBOLIC`

  Try to always load symbolic icons, even when regular icon names are given.

  - Value: `32`
  - Available since: 17
`ST_ICON_LOOKUP_DIR_LTR`

  Try to load a variant of the icon for left-to-right text direction.

  - Value: `64`
  - Available since: 17
`ST_ICON_LOOKUP_DIR_RTL`

  Try to load a variant of the icon for right-to-left text direction.

  - Value: `128`
  - Available since: 17